Custom Fields
Create a custom field
Create a new custom field definition. Once created, the field can be set on any contact to store additional structured data.
POST /v1/custom-fields/
Request body
Content-Type: application/json
custom_field
object required
custom_field.name
string required
custom_field.field_type
string enum required
Possible values:
"input", "autocomplete", "datepicker"custom_field.categories
array<object>
custom_field.categories[].category
string
Example
{
"custom_field": {
"name": "string",
"field_type": "input"
}
}
Responses
200 — Successful response
Content-Type: application/json
error
boolean required
data
object required
data.custom_field
object required
data.custom_field.id
string (uuid) required
data.custom_field.user_id
string
data.custom_field.name
string
data.custom_field.field_type
string
data.custom_field.categories
array<string>
data.custom_field.ranking
integer | null
Example
{
"error": false,
"data": {
"custom_field": {
"id": "00000000-0000-0000-0000-000000000000"
}
}
}
400
No response body.
401
No response body.
403
No response body.
404
No response body.
429
No response body.
500
No response body.
Code samples
curl https://api.prod.getdex.com/v1/custom-fields/ \
--request POST \
--header 'Authorization: Bearer YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"custom_field": {
"name": "string",
"field_type": "input"
}
}'
fetch('https://api.prod.getdex.com/v1/custom-fields/', {
method: 'POST',
headers: {
Authorization: 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
custom_field: {
name: 'string',
field_type: 'input'
}
})
})
requests.post(
"https://api.prod.getdex.com/v1/custom-fields/",
headers={
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json"
},
json={
"custom_field": {
"name": "string",
"field_type": "input"
}
}
)
List custom fields
Retrieve all custom field definitions for the authenticated user. Custom fields allow you to add structured data to contacts beyond the built-in fields.
Reorder custom fields
Update the display order of custom fields by providing new ranking values. The order is reflected everywhere custom fields are displayed.

